org.apache.lucene.store.je

## Class Block

- java.lang.Object
- - org.apache.lucene.store.je.Block

-     public class Block
      extends java.lang.Object

  Port of Andi Vajda's DbDirectory to Java Edition of Berkeley Database

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected DatabaseEntry` | `data`
    `protected DatabaseEntry` | `key`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Block(File file)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `get(JEDirectory directory)`
    `protected byte[]` | `getData()`
    `protected byte[]` | `getKey()`
    `protected void` | `put(JEDirectory directory)`
    `protected void` | `seek(long position)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### key

          protected DatabaseEntry key

    - #### data

          protected DatabaseEntry data

  - ### Constructor Detail

    - #### Block

          protected Block(File file)
                   throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### getKey

          protected byte[] getKey()

    - #### getData

          protected byte[] getData()

    - #### seek

          protected void seek(long position)
                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### get

          protected void get(JEDirectory directory)
                      throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### put

          protected void put(JEDirectory directory)
                      throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.